#
# Created on Tue Mar 28 2023
#
# Copyright (c) 2023 Gddi
#

import os

import psutil


def is_file_operated(file_path: str) -> bool:
    if not os.path.exists(file_path):
        return False
    for proc in psutil.process_iter():
        try:
            for file in proc.open_files():
                if file.path == file_path:
                    return True
        except (psutil.NoSuchProcess, psutil.AccessDenied, psutil.ZombieProcess):
            pass
    return False